#
# SimplePloneStyle tests
#

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

import SimplePloneStyleTestCase


class testSkin(SimplePloneStyleTestCase.SimplePloneStyleTestCase):

    def afterSetUp(self):
        pass

    def testSkins(self):
        skins = self.portal.portal_skins.objectIds()
        self.failUnless('simplestyle' in skins)

    def testSkinExists(self):
        self.failUnless(getattr(self.portal, 'renderAllTheStylesheets' ))


class testSimplePloneStyle(SimplePloneStyleTestCase.SimplePloneStyleTestCase):

    def afterSetUp(self):
        self.tool = getattr(self.portal, 'portal_css')

    def testStylesheetInstall(self):
        stylesheetids = self.tool.getResourceIds()
        self.failUnless('redBackground.css' in stylesheetids)
        self.failUnless('blueTitle.css' in stylesheetids)


if __name__ == '__main__':
    framework()
else:
    import unittest
    def test_suite():
        suite = unittest.TestSuite()
        suite.addTest(unittest.makeSuite(testSkin))
        suite.addTest(unittest.makeSuite(testSimplePloneStyle))
        return suite

